@ECHO OFF
ECHO.
ECHO This package is an example how to check
ECHO the installation status of awl-client/awl-server NuGet Packages
ECHO.
ECHO It is intended to be run in the directory where NuGet Package to be installed
ECHO.

SET package_name=%1

IF "%~1"=="" (
  ECHO.
  ECHO ERROR: Package name must be provided.
  ECHO Usage:
  ECHO   %0 ^<package-name^>
  ECHO.
  GOTO exit_error
)

SET nupkg_dir=%package_name%*                             &REM Package directory installed by 'nuget.exe install' command (with and without -ExcludeVersion)
SET nupkg_file=%package_name%\%package_name%.nupkg        &REM Original packed packaged installed by 'nuget.exe install' command (with and without -ExcludeVersion)
SET exe_files=%package_name%\content\node.exe             &REM File copied by 'tools/install.cmd' script
SET exe_files=%exe_files%,%package_name%\content\nssm.exe &REM File copied by 'tools/install.cmd' script

IF NOT EXIST %nupkg_dir% (
  ECHO * Package '%package_name%' is not installed by 'nuget.exe'
  ECHO.
  GOTO exit_ok

) ELSE (
  ECHO * Package '%package_name%' is installed by 'nuget.exe install' command
  ECHO.

  IF NOT EXIST %nupkg_file% (
    ECHO * Package '%package_name%' is installed improperly by 'nuget.exe install'
    ECHO   without '-ExcludeVersion' switch.
    ECHO   Please, reinstall it with '-ExcludeVersion' switch
    ECHO.
    GOTO exit_ok

  ) ELSE (

    ECHO * Package '%package_name%' is installed by 'nuget.exe install' with '-ExcludeVersion' switch
    ECHO.
    FOR %%A in (%exe_files%) do (
      IF NOT EXIST %%A (
        ECHO * Package '%package_name%' is not configured by 'tools/install.cmd' script
        ECHO.
        GOTO exit_ok
      )
    )
    ECHO * Package '%package_name%' is configured by 'tools/install.cmd' script
    ECHO.
    GOTO exit_ok
  )
)

:exit_ok
EXIT /B 0

:exit_error
EXIT /B 1

