@ECHO OFF
ECHO.
ECHO.
ECHO.
ECHO This package is an example how to install awl-client/awl-server packages.
ECHO It is intended to be run in the directory where NuGet Package to be installed.
ECHO.

SET package_name=%1
SET package_dir=%2

IF %package_name%==. (
  ECHO ERROR: Package name must be provided.
  GOTO exit_usage
)

IF %package_dir%==. (
  ECHO ERROR: Source package directory must be provided.
  GOTO exit_usage
)

ECHO ===============================================================================
ECHO nuget.exe start command line:
ECHO -------------------------------------------------------------------------------
ECHO ON
nuget install %package_name% -source %package_dir% -ExcludeVersion > nuget.log
@ECHO OFF
ECHO ===============================================================================
ECHO.
ECHO ===============================================================================
ECHO nuget.exe log:
ECHO -------------------------------------------------------------------------------
TYPE nuget.log
ECHO ===============================================================================
ECHO.

ECHO * nuget.exe execution status:

IF ERRORLEVEL 1 (
  ECHO * ERROR:
  ECHO * ERRORLEVEL: %ERRORLEVEL%
  GOTO exit_error
)

REM If the package is already installed, nuget.exe does not returns error:

FIND "is already installed" nuget.log > nul
IF %ERRORLEVEL% NEQ 1 (
  ECHO * Package %package_name% is already installed. You need to run tools/uninstall.cmd to uninstall it.
  GOTO exit_error
) ELSE (
  ECHO * Package %package_name% is successfully installed
  GOTO exit_ok
)
@ECHO OFF


:exit_ok
EXIT /B 0

:exit_usage
ECHO.
ECHO Usage:
ECHO   %0 ^<package-name^> ^<source_dir^>
ECHO.
EXIT /B -1

:exit_error
EXIT /B 1

