@ECHO OFF
REM %~1 expands %1 removing any surrounding quotes (")
SET target_dir=%~1
SET env_name=%~2
SET repo_name=%~3
SET repo_url=%~4
SET repo_branch=%~5
SET repo_user=%~6
SET repo_password=%~7


ECHO.
ECHO [---] Running %0
ECHO [---] Installing config from repository %repo_name% env_name %env_name%
ECHO.
ECHO [---] Input:
ECHO [---]   target_dir=%target_dir%
ECHO [---]   env_name=%env_name%
ECHO [---]   repo_name=%repo_name%
ECHO [---]   repo_url=%repo_url%
ECHO [---]   repo_branch=%repo_branch%
ECHO [---]   repo_user=%repo_user%
ECHO [---]   repo_password=*****
ECHO.

IF "%target_dir%"==""  ECHO ERROR: target_dir must be provided.  & GOTO :exit_error
IF "%env_name%"==""    ECHO ERROR: env_name must be provided.    & GOTO :exit_error
IF "%repo_name%"==""   ECHO ERROR: repo_name must be provided.   & GOTO :exit_error
IF "%repo_url%"==""    ECHO ERROR: repo_url must be provided.    & GOTO :exit_error
IF "%repo_branch%"=="" ECHO ERROR: repo_branch must be provided. & GOTO :exit_error
IF "%repo_user%"==""   ECHO ERROR: repo_user must be provided.   & GOTO :exit_error


REM Path to this .cmd file
REM Example: c:\test\appname\content\tools\lib\
SET WP_THIS_FILE_DIR=%~dp0

REM This .cmd file is in 'lib' directory:
SET orig_lib_dir=%WP_THIS_FILE_DIR%


ECHO.
ECHO [1/1] Clone or pull Git repository...
CALL "%orig_lib_dir%install\_git_pull.cmd" "%repo_name%" "%repo_url%" "%repo_branch%" "%repo_user%" "%repo_password%"
IF "%ERRORLEVEL%" NEQ "0" (
  EXIT /B %ERRORLEVEL%
)


REM ECHO.
REM ECHO [2/2] Copy config files for env_name %env_name% from repo %repo_name% to default location...
REM IF NOT EXIST "%repo_name%\%env_name%" (
REM   ECHO ERROR: directory for env_name %env_name% not found in repo_name %repo_name%
REM   EXIT /B 1
REM )
REM CALL "%orig_lib_dir%install\_copy_all.cmd" "%repo_name%\%env_name%" "%target_dir%"
REM IF ERRORLEVEL 1 (
REM   EXIT /B %ERRORLEVEL%
REM )


:finish
ECHO.
ECHO [---] Done.
GOTO exit_ok

:exit_ok
EXIT /B 0

:exit_error
EXIT /B 1
