@ECHO OFF
SET source_dir=%~1
SET target_dir=%~2

ECHO.
ECHO * Running %0
ECHO * Copying binaries from %source_dir% to %target_dir%

SET node_32=%source_dir%\node\win-x86\*
SET node_64=%source_dir%\node\win-x64\*
REM @SET npm=%source_dir%\dist\npm\*
REM @SET nuget=%source_dir%\dist\nuget\*
SET nssm_32=%source_dir%\nssm\nssm-2.24\win32\*
SET nssm_64=%source_dir%\nssm\nssm-2.24\win64\*
SET winsw=%source_dir%\winsw\*

ECHO * Determine 32/64 architecture...

IF /I "%PROCESSOR_ARCHITECTURE%"=="x86" GOTO 32
IF /I "%PROCESSOR_ARCHITECTURE%"=="AMD64" GOTO 64
ECHO ERROR: Unable to detect 32/64 architecture, exiting...
EXIT /B 1

:32
ECHO * 32-bit architecture detected
SET node=%node_32%
SET nssm=%nssm_32%
GOTO do_copy

:64
ECHO * 64-bit architecture detected
SET node=%node_64%
SET nssm=%nssm_64%
GOTO do_copy

:do_copy
ECHO * Copying binaries...

ECHO ON
COPY /Y "%node%" "%target_dir%"
@ECHO OFF
IF ERRORLEVEL 1 GOTO exit_error

ECHO ON
COPY /Y "%nssm%" "%target_dir%"
@ECHO OFF
IF ERRORLEVEL 1 GOTO exit_error

ECHO ON
COPY /Y "%winsw%" "%target_dir%"
@ECHO OFF
IF ERRORLEVEL 1 GOTO exit_error

REM COPY /Y "%npm%" "%target_dir%"
REM COPY /Y "%nuget%" "%target_dir%"

:finish
ECHO * Done

:exit_ok
EXIT /B 0

:exit_error
EXIT /B 1
