@ECHO OFF
SET exe_dir=%~1
SET app_dir=%~2
SET service=%~3
SET main_app=%~4
SET description=%~5

ECHO.
ECHO * Running %0
ECHO * Installing service %service% with start script %main_app%
ECHO.
ECHO * domain: %domain%
ECHO * username: %username%
ECHO * password: %password%


SET winsw_orig=%exe_dir%\winsw.exe
SET winsw_wrapper=%exe_dir%\%service%.exe
SET winsw_xml=%exe_dir%\%service%.xml
SET node=%exe_dir%\node.exe
SET app=%app_dir%\%main_app%
SET log_dir=%app_dir%\log\winsw

ECHO * Copying winsw binary

ECHO ON
COPY "%winsw_orig%" "%winsw_wrapper%"
@ECHO OFF

ECHO * Creating log dir

ECHO ON
MKDIR "%log_dir%"
@ECHO OFF

ECHO * Writing winsw config file %winsw_xml%

ECHO ^<service^>                                          > "%winsw_xml%"
ECHO   ^<id^>%service%^</id^>                            >> "%winsw_xml%"
ECHO   ^<name^>%service%^</name^>                        >> "%winsw_xml%"
ECHO   ^<description^>%description%^</description^>      >> "%winsw_xml%"
ECHO   ^<executable^>"%node%"^</executable^>             >> "%winsw_xml%"
ECHO   ^<arguments^>"%app%"^</arguments^>                >> "%winsw_xml%"
ECHO   ^<logmode^>rotate^</logmode^>                     >> "%winsw_xml%"
ECHO   ^<logpath^>%log_dir%^</logpath^>                  >> "%winsw_xml%"
IF "%username%" EQU "" GOTO skip_username
ECHO   ^<serviceaccount^>                                >> "%winsw_xml%"
ECHO     ^<domain^>%domain%^</domain^>                   >> "%winsw_xml%"
ECHO     ^<user^>%username%^</user^>                     >> "%winsw_xml%"
ECHO     ^<password^>%password%^</password^>             >> "%winsw_xml%"
ECHO     ^<allowservicelogon^>true^</allowservicelogon^> >> "%winsw_xml%"
ECHO   ^</serviceaccount^>                               >> "%winsw_xml%"
:skip_username
ECHO ^</service^>                                        >> "%winsw_xml%"

TYPE "%winsw_xml%"

:finish
ECHO * Done

:exit_ok
EXIT /B 0

:exit_error
EXIT /B 1


