@ECHO OFF
REM Example:
REM C:\app\test>appname\content\tools\installConfig.cmd aaa\awl-client config github.com/org/config.git master username password

REM Current .cmd file directory
REM Must be read before using 'SHIFT' command
SET tools_dir=%~dp0

REM Read other arguments from command line

SET env_name=%~1
SET repo_name=%~2
SET repo_url=%~3
SET repo_branch=%~4
SET repo_user=%~5
SET repo_password=%~6

REM Usage example:
REM ...

REM parameters for _install.cmd:
REM ...
REM
REM Environment variables used to pass data to _install.cmd:
REM ...
REM

ECHO.
ECHO ************************************************************
ECHO *
ECHO * Starting git pull of config for <%= config.nuget.name %>
ECHO *
ECHO ************************************************************
ECHO.

ECHO * Determining processor architecture...
IF /I "%PROCESSOR_ARCHITECTURE%"=="x86" GOTO 32
IF /I "%PROCESSOR_ARCHITECTURE%"=="AMD64" GOTO 64
ECHO ERROR: Unable to detect 32/64 architecture, exiting...
EXIT /B 1

:32
ECHO * 32-bit architecture detected; install target is: <%= config.install.configTarget.processorArchitecture32bit %>
CALL "%tools_dir%lib\_pullConfig.cmd" ^
 "<%= config.install.configTarget.processorArchitecture32bit %>" ^
 "%env_name%" ^
 "%repo_name%" ^
 "%repo_url%" ^
 "%repo_branch%" ^
 "%repo_user%" ^
 "%repo_password%"
GOTO done

:64
ECHO * 64-bit architecture detected; install target is: <%= config.install.configTarget.processorArchitecture64bit %>
CALL "%tools_dir%lib\_pullConfig.cmd" ^
 "<%= config.install.configTarget.processorArchitecture64bit %>" ^
 "%env_name%" ^
 "%repo_name%" ^
 "%repo_url%" ^
 "%repo_branch%" ^
 "%repo_user%" ^
 "%repo_password%"
GOTO done

:done
ECHO.
ECHO ************************************************************
ECHO *
ECHO * Completed installation of config for <%= config.nuget.name %>
ECHO *
ECHO *
IF "%ERRORLEVEL%"=="0" (
  ECHO * Result: SUCCESS
) ELSE (
  ECHO * Result: ERRORS FOUND
)
ECHO *
ECHO ************************************************************
ECHO.

EXIT /B %ERRORLEVEL%
