@ECHO OFF

REM Current .cmd file directory
REM Must be read before using 'SHIFT' command
SET tools_dir=%~dp0

REM Usage example:
REM C:\test>appname\content\tools\uninstall.cmd

REM parameters for _uninstall.cmd:
REM
REM <config.install.target> <nupkg_package_name> <win_svc_name>
REM
REM <config.install.target> - target directory for the installation after unpacking the nupkg
REM <nupkg_package_name> - determine directory name to remove
REM <win_svc_name>       - windows service name to stop and remove

ECHO.
ECHO *******************************************************************************
ECHO Starting uninstallation of <%= config.nuget.name %>
ECHO *******************************************************************************
ECHO.

ECHO -------------------------------------------------------------------------------
ECHO Determining processor archtiecture...
ECHO -------------------------------------------------------------------------------
IF /I "%PROCESSOR_ARCHITECTURE%"=="x86" GOTO 32
IF /I "%PROCESSOR_ARCHITECTURE%"=="AMD64" GOTO 64
ECHO ERROR: Unable to detect 32/64 architecture, exiting...
EXIT /B 1

:32
ECHO -------------------------------------------------------------------------------
ECHO 32-bit architecture detected
ECHO Uninstall target is: <%= config.install.target.processorArchitecture32bit %>
ECHO -------------------------------------------------------------------------------
CALL "%tools_dir%lib\_uninstall.cmd" ^
	"<%= config.install.target.processorArchitecture32bit %>" ^
	"<%= config.nuget.name %>" ^
	"<%= config.windowsService.name %>"
GOTO done

:64
ECHO -------------------------------------------------------------------------------
ECHO * 64-bit architecture detected
ECHO Uninstall target is: <%= config.install.target.processorArchitecture64bit %>
ECHO -------------------------------------------------------------------------------
CALL "%tools_dir%lib\_uninstall.cmd" ^
	"<%= config.install.target.processorArchitecture64bit %>" ^
	"<%= config.nuget.name %>" ^
	"<%= config.windowsService.name %>"
GOTO done

:done
ECHO.
ECHO *******************************************************************************
ECHO Completed uninstallation of <%= config.nuget.name %>
IF "%ERRORLEVEL%"=="0" (
	ECHO * Result: SUCCESS
) ELSE (
	ECHO * Result: ERRORS FOUND
)
ECHO *******************************************************************************
EXIT /B %ERRORLEVEL%
