REM This is a deploy script for developer testing. Deploy straight from build directory. Use after build is done.
REM Go to app /build/nupkg folder and run deploy.cmd
@ECHO OFF

ECHO.
ECHO *******************************************************************************
ECHO * Starting developer test deployment script
ECHO *******************************************************************************

ECHO.
ECHO -------------------------------------------------------------------------------
ECHO Setting working directory to this script's folder ...
ECHO %~dp0
ECHO -------------------------------------------------------------------------------
cd %~dp0

if not exist .\deploy goto :deploy

ECHO.
ECHO -------------------------------------------------------------------------------
ECHO Uninstalling app using app's uninstall.cmd ...
ECHO -------------------------------------------------------------------------------
CALL .\deploy\<%= config.nuget.name %>\content\tools\uninstall.code.cmd
IF ERRORLEVEL 1 GOTO :error

ECHO.
ECHO -------------------------------------------------------------------------------
ECHO Removing existing deploy folder ...
ECHO -------------------------------------------------------------------------------
CALL rd .\deploy /s /q
IF ERRORLEVEL 1 GOTO :error

ECHO.
ECHO -------------------------------------------------------------------------------
ECHO Removed exsting deploy folder ...
ECHO -------------------------------------------------------------------------------

:deploy
ECHO.
ECHO -------------------------------------------------------------------------------
ECHO Installing nuget package ...
ECHO -------------------------------------------------------------------------------
nuget install <%= config.nuget.name %> -Source %CD% -ExcludeVersion -OutputDirectory .\deploy
IF ERRORLEVEL 1 GOTO :error

ECHO.
ECHO -------------------------------------------------------------------------------
ECHO Installed nuget package ...
ECHO -------------------------------------------------------------------------------

ECHO.
ECHO -------------------------------------------------------------------------------
ECHO Installing app unsing app's install.cmd ...
ECHO -------------------------------------------------------------------------------
CALL .\deploy\<%= config.nuget.name %>\content\tools\install.code.cmd
IF ERRORLEVEL 1 GOTO :error

ECHO.
ECHO *******************************************************************************
ECHO * Completed developer test deployment script
ECHO *******************************************************************************
pause
EXIT /B 0

:error
ECHO.
ECHO *******************************************************************************
ECHO * FAILED developer test deployment script, error %errorlevel%
ECHO *******************************************************************************
pause
EXIT /B %errorlevel%
